# This package is noarch, and supplies some foreign binaries for msp430.
# See https://www.redhat.com/archives/fedora-devel-list/2009-February/msg02261.html
%global _binaries_in_noarch_packages_terminate_build 0

Name:		msp430-libc
Version:	20120224
Release:	8%{?dist}
Summary:	C library for use with GCC on Texas Instruments MSP430 microcontrollers
Group:		Development/Libraries
License:	BSD
URL:		http://mspgcc.sf.net/
Source0:	msp430-libc-%{version}.tar.bz2

Patch0:		msp430-libc-20120224-sf3522752.patch
Patch1:		msp430-libc-destdir.patch

BuildRequires:	msp430-gcc >= 4.6.3
BuildRequires:	msp430mcu >= 20120406

Requires:	msp430-gcc >= 4.6.3
Requires:	msp430mcu >= 20120406

BuildArch:	noarch

%description
A C library for use on Texas Instruments MSP430 microcontrollers with
the mspgcc toolchain.


%prep
%setup -T -q -b 0
%patch0 -p1
%patch1 -p1


%build
cd src
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
cd src
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}

# despite us being noarch redhat-rpm-config insists on stripping our files
%define __os_install_post /usr/lib/rpm/brp-compress

%files
%dir %{_prefix}/msp430/include
%dir %{_prefix}/msp430/lib

%{_prefix}/msp430/include/*
%{_prefix}/msp430/lib/*

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20120224-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20120224-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120224-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 19 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 20120224-5
- FTBFS with latest redhat-rpm-config (#1106247)
- Update spec to latest packaging guidelines

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120224-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120224-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120224-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 Rob Spanton <rspanton@zepler.net> 20120224-1
- Update to the new msp430 libc

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-6.20090726cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.20090726cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-4.20090726cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Rob Spanton rspanton@zepler.net 0-3.20090726cvs
- Use later version from CVS

* Mon Jul 20 2009 Rob Spanton rspanton@zepler.net 0-2.20090620cvs
- Own /usr/msp430/include

* Sun Jun 28 2009 Rob Spanton rspanton@zepler.net 0-1.20090620cvs
- Initial release
